Bug 140046 - The usbhid driver is incorrectly claiming the USB Intuous 3 Wacom tablet.
The usbhid driver is incorrectly claiming the USB Intuous 3 Wacom tablet.
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-11-19 09:34 EST by Edward Grace
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version: 2.6.12-1.1398_FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-07-19 08:32:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Edward Grace 2004-11-19 09:34:31 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)

Description of problem:
It appears that the Intuous 3 tablet is not being ignored by the
hidusb driver when it is plugged in.  This means that the wacom driver
doesn't get loaded.

Even trying to load the wacom driver before or after plugging in the
device using modprobe fails to work.

It appears that the usbhid driver is insistent on trying to control
the device.  From the documentation describing the linuxwacom drivers
and what to do if they don't get control
http://linuxwacom.sourceforge.net/index.php/howto/noctrl it appears
that the problem lies with the usbhid driver not ignoring the device.
 Since this is encapsulated in the kernel package I am flagging this
as a bug in the kernel package not the linuxwacom package.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Plug in Wacom Intuos 3 driver
2. Watch /var/log/messages, look at /proc/bus/usb/devices

Actual Results:  In /var/log/messages one sees
Nov 19 11:13:28 ptopteron2 kernel: usb 2-2: new full speed USB device
using address 7
Nov 19 11:13:33 ptopteron2 wait_for_sysfs[30770]: either
wait_for_sysfs (udev 039) needs an update to handle the device
0:00/0000:00:06.0/0000:02:00.1/usb2/2-2/2-2:1.0' properly (no bus
device link) or the sysfs-support of your device's driver needs to be
fixed, please report to <linux-hotplug-devel@lists.sourceforge.net>
Nov 19 11:13:38 ptopteron2 kernel: drivers/usb/input/hid-core.c:
timeout initializing reports

cat /proc/bus/usb/devices

:  Bus=01 Lev=01 Prnt=01 Port=02 Cnt=01 Dev#=  2 Spd=12  MxCh= 0
D:  Ver= 1.10 Cls=00(>ifc ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=056a ProdID=00b2 Rev= 1.02
S:  Manufacturer=Tablet
S:  Product=PTZ-930
C:* #Ifs= 1 Cfg#= 1 Atr=80 MxPwr=300mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=03(HID  ) Sub=01 Prot=02 Driver=usbhid
E:  Ad=81(I) Atr=03(Int.) MxPS=  10 Ivl=4ms

Expected Results:  The hid driver should have ignored the connected
device and the wacom driver should have loaded to take control.

cat /proc/bus/usb/devices

Should then yield 

S: Manufacturer=Wacom
I: .... Driver=wacom


Additional info:

I have confirmed that the device ID is listed in the blacklist of
hid-core.c, it can be found at line



Which is the identity of the Wacom tablet as described when plugged in.

I can also confirm that the relevent sources for parts of the kernel
drivers that should ignore the wacom tablet (hid-core) are the same as
the newest from the linux wacom project,

In addition I have compiled a new linuxwacom package based on
linuxwacom-0.6.5, to no avail.  This implies that it is a problem to
do with the HID drivers no ignoring the device as they should.  For
the sake of completeness my implementation of the new linuxwacom
package can be downloaded from:


I have contacted Kirstian Høgsberg krh@redhat.com in relation to how
to build the kernel drivers, however after the above digging has shown
that the correct ID is in the hid_blacklist in the source code I am
out of my depth with regard to what it could be.
Comment 1 Richard Heck 2004-12-18 00:29:31 EST
I have been able to resolve this problem. The kernel sources I was
using, from the 2.6.9-1.681 source RPM, did NOT contain the device ID
for the Intuos3 tablet in the hid-core.c blacklist. I copied that
file, and all of the other .c and .h files, for good measure, from the
linuxwacom-0.6.6 sources to the kernel source tree and rebuilt the
kernel. I should say that my kernel has been customized in other ways.
I can provide the .config if necessary.

Here's the output from /var/log/messages:
Dec 18 00:16:08 rghstudy kernel: usb 3-1: new full speed USB device
using address 48
Dec 18 00:16:08 rghstudy hal.hotplug[10856]: DEVPATH is not set
Dec 18 00:16:08 rghstudy kernel: usbhid: probe of 3-1:1.0 failed with
error -5
Dec 18 00:16:08 rghstudy kernel: input: Wacom Intuos3 6x8 on
And here is /proc/bus/usb/devices:
T:  Bus=03 Lev=01 Prnt=01 Port=00 Cnt=01 Dev#= 48 Spd=12  MxCh= 0
D:  Ver= 1.10 Cls=00(>ifc ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=056a ProdID=00b1 Rev= 1.02
S:  Manufacturer=Tablet
S:  Product=PTZ-630
C:* #Ifs= 1 Cfg#= 1 Atr=80 MxPwr=300mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=03(HID  ) Sub=01 Prot=02 Driver=wacom
E:  Ad=81(I) Atr=03(Int.) MxPS=  10 Ivl=4ms
The tablet is recognized and the wacom driver is properly loaded. 

I'm not sure what the probe failure is, though, and I wasn't getting
any data from /dev/input/event2 until I unloaded and reloaded the
wacom module. At that point, I was able to run 
   wacdump /dev/input/event2
and get the expected output, as well.
Comment 2 Edward Grace 2005-02-11 13:00:47 EST
Thanks for that information.  The x86_64 machine is unavailable to me
at the moment, when I can get my hands on it I'll have another look
and try your suggestion.  

It's quite possible I got the files confused!

Comment 3 Paul Duffy 2005-05-20 13:58:59 EDT
Actually, looking at the source and the /proc/usb/bus/devices output the 
problem is quite obvious, simple and you're really gonna kick yourself: 
P:  Vendor=056a ProdID=00b1 Rev= 1.02 
That is, the device ID is listed in the source as 00b2 while the _actual_ 
product ID is 00b1. That's right, it's out by 1. 
I suspect this is a problem with the main kernel tree as I have yet to get my 
Intuos 3 working properly with _any_ Linux distro and I have the exact same 
problem running on an Athlon XP 2000+ (i686) although I've yet to check the 
Comment 4 Lukas Riha 2005-06-20 14:23:13 EDT
By the way, I think I´ve got the same problem with Wacom PenPartner on FC4 (i686
HP nx7010 notebook). Interestingly, Graphire 2 and 3 seem to use the wacom
driver and are able to get into absolute mode, but not the PenPartner (gets
recognized as usbhid).

To be frank, I use slightly modified kernel (build capability as module and
enable ntfs in RW mode), but changed the original config files, so I think it is
not connected.
Comment 5 Pete Zaitcev 2005-06-20 14:45:26 EDT
Richard's is 00b1, but Edward's is 00b2, so it's not as simple.
Since Edward was running a terribly old kernel based on 2.6.9,
I am inclined to write it off as such.

Edward, does FC4 fix _your_ problem?

Lukas, you have to compare your /proc/bus/usb/messages with
that of Edward. If it's not 00b2, file your own bug and attach it.
I do not wish this bug to be kept reopnened every time Wacom
bumps an ID.

Needingo-ing for getting Edward's feedback on FC4
Comment 6 Edward Grace 2005-06-21 03:41:34 EDT
I'll give this a go when we have some spare time and get back to you.  At the
moment it's being used under Windows *cough*....
Comment 7 Lukas Riha 2005-06-21 07:42:45 EDT
Sorry, my fault. Should have checked /proc/bus/usb/devices before...

T:  Bus=04 Lev=01 Prnt=01 Port=00 Cnt=01 Dev#=  4 Spd=1.5 MxCh= 0
D:  Ver= 1.10 Cls=00(>ifc ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1
P:  Vendor=056a ProdID=0061 Rev= 1.42
S:  Manufacturer=WACOM
S:  Product=FT-0203-UV1.4-2
C:* #Ifs= 1 Cfg#= 1 Atr=80 MxPwr= 40mA
I:  If#= 0 Alt= 0 #EPs= 1 Cls=03(HID  ) Sub=01 Prot=02 Driver=usbhid
E:  Ad=81(I) Atr=03(Int.) MxPS=   8 Ivl=10ms

Seems to me like Wacom made a PenPartner version, not covered in hid-core.c
device blacklist. It´s not even in the latest linuxwacom's hid-core.c version I
have (0.6.8). Will check if I can get it to work...
Comment 8 Lukas Riha 2005-06-22 11:12:30 EDT
Made a new bug as requested - see 161241. BTW, I think I found solution, which
works (at least for me).
Comment 9 Pete Zaitcev 2005-06-28 14:54:36 EDT
I am putting this into needinfo until Edward comes back.
Comment 10 Edward Grace 2005-07-15 10:44:28 EDT
Having revisited the problem I see nothing has changed in FC4.  The INTUOS3 is
still NOT listed in the blacklist in hid-core.c for the 2.6.11 kernel.  

My original assertion that it did exist in the source was incorrect (I must have
copied over the files from linuxwacom without realising), as I too see that this
did not appear in the older kernel sources.

Essentially all that needs to be done I think is using the linuxwacom hid-core.c
from the latest release 0.6.8, then it *should* work.  I am going to recompile
the kernel in the same way as mentioned by Richard Heck
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=140046#c1 and will let you
know how it goes.
Comment 11 Dave Jones 2005-07-15 15:49:42 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 12 Edward Grace 2005-07-19 08:32:08 EDT
This now appears to be fixed in the latest update of FC4 2.6.12-1.1398_FC4!  I
have now marked it as resolved in current release.


There is one minor problem however.  It seems that the hardware abstraction
layer 10-wacom.rules does not do what it should (create a symlink
/dev/input/wacom that points to the appropriate device) since the device is not
reported correctly.  This will be added as a seperate bug report.

Note You need to log in before you can comment on or make changes to this bug.